%define major     0
%define libname   %mklibname cryptmount %major
%define develname %mklibname -d cryptmount

%define           subrel     1

Name:             pam_mount
Version:          2.16
Release:          %mkrel 6
Summary:          Pluggable Authentication Module for dynamic mounting of remote volumes
License:          GPLv2+ and LGPLv2+
Group:            Networking/Other

URL:              http://pam-mount.sourceforge.net/
Source0:          http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz
Source1:          http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.asc
#Prevents multiple mount of the same mount point in case of not
#unmounting (see #15479)
Patch0:           pam_mount-2.15-ismountpoint.patch
#mga#25574
#patch from Debian: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Patch1:           pam_mount-2.16-luks2.patch

Requires:         opensc
BuildRequires:    pkgconfig(libcrypto) >= 0.9.8
BuildRequires:    pkgconfig(libcryptsetup) >= 1.1.2
BuildRequires:    pkgconfig(libHX) >= 3.12.1
BuildRequires:    pkgconfig(libxml-2.0) >= 2.6
BuildRequires:    pkgconfig(mount) >= 2.20
BuildRequires:    pkgconfig(libpcre)
BuildRequires:    pam-devel

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is useful for users that have private volumes in Samba / Windows NT
/ Netware servers and need access to them during a Unix session. It
can also be used to transparently mount encrypted volumes using your
logging credentials.

%package -n %libname
Summary:          Shared library for %{name}
Group:            Networking/Other

%description -n %libname
This package contains shared libs for %{name}.

%package -n %develname
Summary:          Development files for %{name}
Group:            Networking/Other
Requires:         %libname = %{version}

%description -n %develname
This package contains development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --with-slibdir=%{_libdir}
%make_build

%install
%make_install
install -m0644 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml
install -m0644 config/pam_mount.conf.xml.dtd -D %{buildroot}%{_datadir}/xml/pam_mount/dtd/pam_mount.conf.xml.dtd

find %{buildroot}%{_libdir} -name *.la -delete

%files 
%doc doc/news.txt doc/bugs.txt doc/options.txt 
%doc doc/faq.txt doc/todo.txt doc/pam_mount.txt
%{_libdir}/security/pam_mount*.so
%{_sbindir}/pmt-ehd
%{_sbindir}/pmvarrun
/sbin/mount.crypt
/sbin/mount.crypto_LUKS
/sbin/mount.crypt_LUKS
/sbin/umount.crypt
/sbin/umount.crypt_LUKS
/sbin/umount.crypto_LUKS
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%dir %{_datadir}/xml/pam_mount/
%dir %{_datadir}/xml/pam_mount/dtd/
%{_datadir}/xml/pam_mount/dtd/pam_mount.conf.xml.dtd
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*
%{_mandir}/man5/pam_mount.conf.5*

%files -n %{libname}
%{_libdir}/libcryptmount.so.%{major}
%{_libdir}/libcryptmount.so.%{major}.*

%files -n %{develname}
%{_includedir}/libcryptmount.h
%{_libdir}/libcryptmount.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Oct 17 2019 eatdirt <eatdirt> 2.16-6.1.mga7
+ Revision: 1454237
- Add support for luks2 mga#25574

* Sun Sep 23 2018 umeabot <umeabot> 2.16-6.mga7
+ Revision: 1300094
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 kekepower <kekepower> 2.16-5.mga7
+ Revision: 1209540
- Rebuild for new cryptsetup, second attempt

* Wed Mar 14 2018 kekepower <kekepower> 2.16-4.mga7
+ Revision: 1209392
- Rebuild for new cryptsetup

* Fri Aug 04 2017 guillomovitch <guillomovitch> 2.16-3.mga7
+ Revision: 1134980
- rebuild for latest openssl

* Thu May 25 2017 luigiwalser <luigiwalser> 2.16-2.mga6
+ Revision: 1104523
- make pam_mount.conf.xml world-readable (possible fix for mga#19103)
- install pam_mount.conf.xml.dtd so XML can be verified
- some spec cleanups from fedora

* Fri Nov 11 2016 luigiwalser <luigiwalser> 2.16-1.mga6
+ Revision: 1066620
- 2.16

* Tue Feb 09 2016 umeabot <umeabot> 2.15-3.mga6
+ Revision: 952584
- Mageia 6 Mass Rebuild

* Sun Mar 29 2015 eatdirt <eatdirt> 2.15-2.mga5
+ Revision: 819381
- Fix overmounting of already mounted directory (#15479)

* Thu Dec 04 2014 eatdirt <eatdirt> 2.15-1.mga5
+ Revision: 800727
- Upgrade to version 2.15

* Wed Oct 15 2014 umeabot <umeabot> 2.14-4.mga5
+ Revision: 748694
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.14-3.mga5
+ Revision: 683319
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.14-2.mga4
+ Revision: 533328
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 eatdirt <eatdirt> 2.14-1.mga4
+ Revision: 472473
- Fix missing BuildRequires
- Upgrade to version 2.14

* Mon Aug 26 2013 eatdirt <eatdirt> 2.13-4.mga4
+ Revision: 472053
- Applied upstream patch to anticipate #7124 on mga4

* Sun Jan 13 2013 umeabot <umeabot> 2.13-3.mga3
+ Revision: 362373
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 16 2012 eatdirt <eatdirt> 2.13-2.mga3
+ Revision: 235747
- Patched to enforce usage of umount.crypt for crypted volumes only (fixes Bug#5787)

* Fri Dec 16 2011 fwang <fwang> 2.13-1.mga2
+ Revision: 182419
- drop .la file
- update file list
- new version 2.13

* Sat Dec 10 2011 fwang <fwang> 2.12-4.mga2
+ Revision: 180154
- rebuild for new cryptsetup

* Wed Dec 07 2011 guillomovitch <guillomovitch> 2.12-3.mga2
+ Revision: 178200
- drop localized summary and description
- more complete upstream patch for libHX, fixing #3645

* Sun Dec 04 2011 fwang <fwang> 2.12-2.mga2
+ Revision: 175880
- more patch on libhx
- fix build with latest libHX
- rebuild for new libHX

* Fri Oct 07 2011 fwang <fwang> 2.12-1.mga2
+ Revision: 152585
- update file list
- new version 2.12
- rebuild for new libhx
- new version 2.10

* Sat Mar 19 2011 boklm <boklm> 2.8-1.mga1
+ Revision: 74570
- imported package pam_mount

